/*
  This file is part of SLC.
  Copyright (C) 2008 Sebastien LUTTRINGER <contact@seblu.net>

  SLC is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; version 2 of the License.

  SLC is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with SLC; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef SLC_HH
# define SLC_HH

# include "sll/slm.hh"
# include "sll/error.hh"

// -----------------------------------------------------------------------------
// Gonstant
// -----------------------------------------------------------------------------

static const int MAX_CONF_LINE_SIZE = 2048;
static const string RCV_DATA = "<< ";
static const string SND_DATA = ">> ";

// -----------------------------------------------------------------------------
// Global var
// -----------------------------------------------------------------------------

class Options;
class Screen;
class History;
class Connection;
class Engine;

extern Options O;
extern Screen S;
extern History H;
extern Connection C;
extern Engine E;

extern pthread_t g_thread_reader;

// -----------------------------------------------------------------------------
// Global func
// -----------------------------------------------------------------------------

int main(int, char **);
void *thread_reader(void *);
void login();

#endif
